Core - Bug # 67298

Status: Resolved Priority: Should have
Author: Morton Jonuschat Category: DBAL

Created: 2015-06-04 Assigned To: Morton Jonuschat
Updated: 2015-06-10 Due date:

TYPO3 Version: 7

PHP Version: 5.5

Complexity:

Is Regression: No

Sprint Focus:

Subject: NULL / NOT NULL information missing from DBAL admin_get_fields()

Description

The DBAL admin_get_fields() does not return the information if a field is defined as ,NOT NULL" or the information is returned in a
way that is incompatible with the SqlSchemaMigrationService of the install tool.

Related issues:

related to Core - Epic # 64459: Make TYPOS run on PostgreSQL

New 2015-01-23

Associated revisions

Revision 52cc7013 - 2015-06-10 09:43 - Morton Jonuschat

[BUGFIX] dbal: return NULL/NOT NULL information in admin_get_fields()

MySQL returns a YES/NO string for every field to determine if NULL values
are allowed in the field. The DBAL version of admin_get_fields always

returned an empty string although the required details are returned by

ADOdb drivers. Make this information available.

Resolves: #67298

Releases: master

Change-Id: 16892783aced1e574cb6f5702da067f4e6e867529
Reviewed-on: http://review.typo3.0rg/40051

Reviewed-by: Markus Klein <markus.klein@typo3.org>

Reviewed-by: Andreas Fernandez <typo3@scripting-base.de>

Tested-by: Andreas Fernandez <typo3@scripting-base.de>

Reviewed-by: Xavier Perseguers <xavier@typo3.org>
Tested-by: Xavier Perseguers <xavier@typo3.org>

History

#1 - 2015-06-05 12:41 - Morton Jonuschat
- Assigned To set to Morton Jonuschat

#2 - 2015-06-06 16:10 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 2 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at http://review.typo3.0rg/40051
#3 - 2015-06-06 16:41 - Gerrit Code Review

Patch set 3 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/40051

#4 - 2015-06-10 10:01 - Anonymous
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:52cc7013cf76972¢c23678044f1add208d5e75¢93.
